camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: AMQP Component
Date Wed, 14 Sep 2011 13:50:07 GMT
On Wed, Sep 14, 2011 at 3:46 PM, Sergey B <sbelyankin@yahoo.com> wrote:
> Willem,
>
> I am running into the same issue, made sure to exclude all qpid artifacts
> from camel AMQP component.  Here's a snippet of 'mvn dependency:tree'
> output:
>
> [INFO] +- org.apache.camel:camel-amqp:jar:2.7.2:compile
> [INFO] |  +- org.apache.camel:camel-jms:jar:2.7.2:compile
> [INFO] |  |  +- org.springframework:spring-jms:jar:3.0.5.RELEASE:compile
> [INFO] |  |  \- org.springframework:spring-beans:jar:3.0.5.RELEASE:compile
> [INFO] |  +- org.apache.mina:mina-core:jar:1.0.1:compile
> [INFO] |  \- commons-lang:commons-lang:jar:2.3:compile (version managed from
> 2.4)
> [INFO] +- org.apache.qpid:qpid-client:jar:0.12:compile
> [INFO] +- org.apache.qpid:qpid-common:jar:0.12:compile
>
> After 3 days of battling with this, I can safely say Apache Camel does not
> work with RabbitMQ.
>

You need to use Camel 2.8.0 as the camel-amqp component have been
upgraded and uses the Apache qpid 0.10 release.


> --
> View this message in context: http://camel.465427.n5.nabble.com/AMQP-Component-tp4508042p4802803.html
> Sent from the Camel - Users mailing list archive at Nabble.com.
>



-- 
Claus Ibsen
-----------------
FuseSource
Email: cibsen@fusesource.com
Web: http://fusesource.com
Twitter: davsclaus, fusenews
Blog: http://davsclaus.blogspot.com/
Author of Camel in Action: http://www.manning.com/ibsen/

Mime
View raw message